## missingh 1.0.0.1

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PROJECT := MissingH
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package hslogger -package filepath -package mtl -package HUnit $(GHCPARMS) -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: 
	runhugs -98 +o "-Fcpphs --noline" -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
missingh (1.0.0.1) unstable; urgency=low

  * Rebuilt with newer regex deps.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Feb 2008 02:00:04 -0600

missingh (1.0.0.0) unstable; urgency=low

  * New version.
  * API fix for ghc 6.8.x introducing Data.String
  * Update for ghc 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 03:18:55 -0600

=== debian/control ===
Source: missingh
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev, libghc6-regex-compat-dev (>= 0.91-1)
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08-4), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs, libhugs-filepath, libhugs-hslogger, libhugs-hunit, libhugs-mtl, libhugs-network, libhugs-parsec, libhugs-quickcheck, libhugs-unix
Standards-Version: 3.6.2
Section: devel

Package: libghc6-missingh-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev, libghc6-regex-compat-dev (>= 0.91-1)
Suggests: missingh-doc
Description: Library of utility functions for Haskell, GHC6 package 
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.

Package: missingh-doc
Section: doc
Architecture: all
Description: Documentation for Haskell utility library
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on my MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.
 .
 This package provides the API documentation for MissingH.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	#dh_haskell -i  disabled since there is no more hugs
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## missingh 1.0.1.0

=== debian/changelog ===
missingh (1.0.1.0) unstable; urgency=low

  * Now add support for parseNum to Data.Quantity.
  * Add Data.BinPacking module.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Apr 2008 00:34:07 -0500

missingh (1.0.0.2) unstable; urgency=low

  * Rebuild with newer hslogger.  Closes: #464013.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 02 Mar 2008 07:18:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev, libghc6-regex-compat-dev (>= 0.91-1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev (>= 1.0.5), libghc6-regex-compat-dev (>= 0.91-1)
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08-4), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs, libhugs-filepath, libhugs-hslogger, libhugs-hunit, libhugs-mtl, libhugs-network, libhugs-parsec, libhugs-quickcheck, libhugs-unix
 Standards-Version: 3.6.2
 Section: devel
@@ -9,7 +9,7 @@
 Package: libghc6-missingh-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev, libghc6-regex-compat-dev (>= 0.91-1)
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev (>= 1.0.5), libghc6-regex-compat-dev (>= 0.91-1)
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, GHC6 package 
  MissingH is a library of all sorts of utility functions for

## missingh 1.0.3.2

=== debian/changelog ===
missingh (1.0.3.2) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:43:29 -0600

missingh (1.0.3.1) unstable; urgency=low

  * Rebuild with latest hslogger.  Closes: #507936.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 08:46:22 -0600

missingh (1.0.3.0) unstable; urgency=low

  * New upstream release to bring more sanity to upstream/debian version numbering.
    Also will reduce API-visible changes when Debian changes are made.
  * Now uses dh_haskell_depends to reduce future dependency issues.  Closes: #507848.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Dec 2008 13:28:14 -0600

missingh (1.0.2.1) unstable; urgency=low

  * Rebuilt with newer hslogger.  Closes: #503005.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 04 Nov 2008 06:21:17 -0600

missingh (1.0.2.0) unstable; urgency=low

  * Various fixes to fix compatibility with Windows.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 02 May 2008 10:30:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev (>= 1.0.5), libghc6-regex-compat-dev (>= 0.91-1)
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08-4), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs, libhugs-filepath, libhugs-hslogger, libhugs-hunit, libhugs-mtl, libhugs-network, libhugs-parsec, libhugs-quickcheck, libhugs-unix
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev (>= 1.0.7.2), libghc6-regex-compat-dev (>= 0.91-1)
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08-4), haskell-devscripts (>= 0.6.15), ghc6 (>= 6.8.2dfsg1), cpphs, libhugs-filepath, libhugs-hslogger, libhugs-hunit, libhugs-mtl, libhugs-network, libhugs-parsec, libhugs-quickcheck, libhugs-unix
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-missingh-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev (>= 1.0.5), libghc6-regex-compat-dev (>= 0.91-1)
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-quickcheck-dev, libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-compat-dev (>= 0.91-1)
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, GHC6 package 
  MissingH is a library of all sorts of utility functions for

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 
 	# Add here commands to install the package into debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 	make test-ghc6
 
 builddocs: builddocs-stamp

## missingh 1.0.3.2build1

=== debian/changelog ===
missingh (1.0.3.2build1) jaunty; urgency=low

  * No-change rebuild against new haskell-regex-compat.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 03 Mar 2009 20:34:09 +0100

## missingh 1.1.0.3

=== Makefile ===
# Copyright (C) 2004 - 2009 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
all: setup
	@echo "Please use Cabal to build this package; not make."
	./setup configure
	./setup build

setup: Setup.hs
	ghc --make -o setup Setup.hs

install: setup
	./setup install

clean:
	./Setup.hs clean

.PHONY: test
test: test-ghc test-hugs
	@echo ""
	@echo "All tests pass."

test-hugs: setup
	@echo " ****** Running hugs tests"
	./setup configure -f buildtests --hugs
	./setup build
	runhugs -98 +o -P$(PWD)/dist/scratch:$(PWD)/dist/scratch/programs/runtests: \
		dist/scratch/programs/runtests/Main.hs

test-ghc: setup
	@echo " ****** Building GHC tests"
	./setup configure -f buildtests
	./setup build
	@echo " ****** Running GHC tests"
	./dist/build/runtests/runtests

## missingh 1.3.0.1

=== debian/changelog ===
missingh (1.3.0.1-5build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 00:15:27 +0000

missingh (1.3.0.1-5) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

missingh (1.3.0.1-4) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:14 +0200

missingh (1.3.0.1-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:49 +0200

missingh (1.3.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:56:01 +0200

missingh (1.3.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 16:12:47 +0200

missingh (1.2.1.0-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:59 +0100

missingh (1.2.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 22:24:31 +0200

missingh (1.2.0.2-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 03 Jun 2014 15:32:10 +0200

missingh (1.2.0.0-3) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:47 +0200

missingh (1.2.0.0-2) experimental; urgency=low

  * Change Vcs headers to Darcs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:37:31 +0100

missingh (1.2.0.0-1) experimental; urgency=low

  [ John Goerzen ]
  * Slight makefile tweak

  [ Clint Adams ]
  * Imported Upstream version 1.2.0.0
  * Update build-deps.
  * Bump to Standards-Version 3.9.4.
  * Remove reference to GHC6.

 -- Clint Adams <clint@debian.org>  Wed, 07 Nov 2012 22:41:38 -0500

missingh (1.1.0.3-6) unstable; urgency=low

  * Add missing build dependency on random.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 16:49:54 -0400

missingh (1.1.0.3-5) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Remove haskell98 from cabal file, and use modules from base instead.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Feb 2012 21:40:26 -0400

missingh (1.1.0.3-4) unstable; urgency=low

  * s/ghc6/ghc
  * Use parsec 3

 -- Joachim Breitner <nomeata@debian.org>  Mon, 18 Apr 2011 13:43:39 +0530

missingh (1.1.0.3-3) unstable; urgency=low

  [ Iain Lane ]
  * debian/control
     + Add -prof package.
     + Update build-deps to current practice
     + Standards-Version → 3.9.0, replaces Conflicts with Breaks in doc
       package rename
     + Use correct Haskell substvars and include -doc build-deps
  * debian/source/format: Create with 1.0. Thanks, Lintian.

  [ Giovanni Mascellani ]
  * Fixed some lintian warnings:
    - First person phrasing in description removed
    - Added debian/watch
  * debian/copyright updated and fixed to make lintian happy

 -- Iain Lane <laney@ubuntu.com>  Sat, 03 Jul 2010 16:49:49 +0100

missingh (1.1.0.3-2) unstable; urgency=low

  * Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 06 May 2010 19:45:38 -0300

missingh (1.1.0.3-1) unstable; urgency=low

  * Rebuild against ghc6 6.12.
  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 08:22:03 -0600

missingh (1.1.0.1-3) unstable; urgency=low

  * debian/control: Remove uneeded Build-Dependencies: in libhugs-*.
  * debian/control: Bump Standards-Version:, no changes needed.
  * debian/control: Remove >= X-1 Build-Dependency on libghc6-regex-
    compat-dev.
  * debian/control: Add Homepage: field.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 08 Feb 2010 21:54:15 -0200

missingh (1.1.0.1-2) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
    (Closes: 556807)
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5

  [  Joachim Breitner ]
  * Switch priority to extra
  * Add ${shlibs:Depends}
  * Convert debian/copyright to utf8

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Dec 2009 18:09:13 +0100

missingh (1.1.0.1-1) unstable; urgency=low

  * Fix build-deps.  Closes: #522476.
  * Switch to team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Aug 2009 16:24:26 -0500

missingh (1.1.0-1) unstable; urgency=low

  * Rebuild with GHC 6.10.
  * Moved testing stuff to testpack.  testpack is now a dep.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 Mar 2009 10:01:38 -0500

=== debian/control ===
Source: missingh
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-hunit-dev,
 libghc-hunit-prof,
 libghc-hslogger-dev,
 libghc-hslogger-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-network-dev,
 libghc-network-prof,
 libghc-old-locale-dev,
 libghc-old-locale-prof,
 libghc-old-time-dev,
 libghc-old-time-prof,
 libghc-parsec3-dev,
 libghc-parsec3-prof,
 libghc-random-dev,
 libghc-random-prof,
 libghc-regex-compat-dev,
 libghc-regex-compat-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hunit-doc,
 libghc-hslogger-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-old-locale-doc,
 libghc-old-time-doc,
 libghc-parsec3-doc,
 libghc-random-doc,
 libghc-regex-compat-doc,
Standards-Version: 3.9.6
Homepage: http://software.complete.org/missingh
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-missingh-dev
Architecture: any
Depends: ${misc:Depends},
 ${haskell:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Library of utility functions for Haskell
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.

Package: libghc-missingh-prof
Architecture: any
Depends: ${misc:Depends},
 ${haskell:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Library of utility functions for Haskell, profiling libraries
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.
 .
 This package provides the MissingH libraries compiled for profiling.

Package: libghc-missingh-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Breaks: missingh-doc (<< 1.1.0.3-2),
Provides: missingh-doc,
Replaces: missingh-doc (<< 1.1.0.3-2),
Description: Documentation for Haskell utility library
 MissingH is a library of all sorts of utility functions for
 Haskell programmers.  It is written in pure Haskell and thus should
 be extremely portable and easy to use.  It also has no prerequisites
 save those that are commonly included with Haskell compilers.
 .
 MissingH is based on MissingLib library for OCaml and contains some
 of the same features.  However, some features are left behind because
 they are already in Haskell or not needed here -- and others are added
 due to things Haskell is missing, or things that Haskell makes
 possible.
 .
 This package provides the API documentation for MissingH.

## missingh 1.3.0.2

=== debian/changelog ===
missingh (1.3.0.2-1build3) zesty; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 06:19:01 +0000

missingh (1.3.0.2-1build2) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Aug 2016 18:26:29 +0200

missingh (1.3.0.2-1build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2016 07:58:02 +0100

missingh (1.3.0.2-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:21:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: missingh
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Priority: extra
 Section: haskell
@@ -36,10 +37,10 @@
  libghc-parsec3-doc,
  libghc-random-doc,
  libghc-regex-compat-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://software.complete.org/missingh
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-missingh-dev
 Architecture: any

## missingh 1.4.0.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	./setup install
 
 clean:
-	./Setup.hs clean
+	runghc ./Setup.hs clean
 
 .PHONY: test
 test: test-ghc test-hugs

=== debian/changelog ===
missingh (1.4.0.1-2build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 08:42:53 +0200

missingh (1.4.0.1-2build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:19:02 +0000

missingh (1.4.0.1-2build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 09:07:29 +0100

missingh (1.4.0.1-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:22 -0400

missingh (1.4.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:19:01 -0400

missingh (1.3.0.2-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:26:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: missingh
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: John Goerzen <jgoerzen@complete.org>
+Uploaders:
+ John Goerzen <jgoerzen@complete.org>,
 Priority: extra
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 9),
+ ghc (>= 8),
  ghc-prof,
+ haskell-devscripts (>= 0.13),
+ libghc-hslogger-dev,
+ libghc-hslogger-prof,
  libghc-hunit-dev,
  libghc-hunit-prof,
- libghc-hslogger-dev,
- libghc-hslogger-prof,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-network-dev,
@@ -27,9 +29,10 @@
  libghc-random-prof,
  libghc-regex-compat-dev,
  libghc-regex-compat-prof,
-Build-Depends-Indep: ghc-doc,
+Build-Depends-Indep:
+ ghc-doc,
+ libghc-hslogger-doc,
  libghc-hunit-doc,
- libghc-hslogger-doc,
  libghc-mtl-doc,
  libghc-network-doc,
  libghc-old-locale-doc,
@@ -39,17 +42,21 @@
  libghc-regex-compat-doc,
 Standards-Version: 3.9.8
 Homepage: http://software.complete.org/missingh
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/missingh
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: libghc-missingh-dev
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: Library of utility functions for Haskell
  MissingH is a library of all sorts of utility functions for
  Haskell programmers.  It is written in pure Haskell and thus should
@@ -64,12 +71,16 @@
 
 Package: libghc-missingh-prof
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: Library of utility functions for Haskell, profiling libraries
  MissingH is a library of all sorts of utility functions for
  Haskell programmers.  It is written in pure Haskell and thus should
@@ -87,13 +98,19 @@
 Package: libghc-missingh-doc
 Architecture: all
 Section: doc
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Breaks: missingh-doc (<< 1.1.0.3-2),
-Provides: missingh-doc,
-Replaces: missingh-doc (<< 1.1.0.3-2),
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Breaks:
+ missingh-doc (<< 1.1.0.3-2),
+Provides:
+ missingh-doc,
+Replaces:
+ missingh-doc (<< 1.1.0.3-2),
 Description: Documentation for Haskell utility library
  MissingH is a library of all sorts of utility functions for
  Haskell programmers.  It is written in pure Haskell and thus should

=== debian/watch ===
version=3
http://hackage.haskell.org/package/MissingH/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## missingh 1.4.1.0

=== debian/changelog ===
missingh (1.4.1.0-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2019 00:29:41 +0200

missingh (1.4.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 21:10:24 -0400

missingh (1.4.0.1-6) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:16 +0300

missingh (1.4.0.1-5) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:39 +0300

missingh (1.4.0.1-4) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:18 +0300

missingh (1.4.0.1-3) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,26 @@
 Source: missingh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-hslogger-dev,
  libghc-hslogger-prof,
  libghc-hunit-dev,
  libghc-hunit-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
  libghc-network-dev,
  libghc-network-prof,
  libghc-old-locale-dev,
  libghc-old-locale-prof,
  libghc-old-time-dev,
  libghc-old-time-prof,
- libghc-parsec3-dev,
- libghc-parsec3-prof,
  libghc-random-dev,
  libghc-random-prof,
  libghc-regex-compat-dev,
@@ -33,17 +29,15 @@
  ghc-doc,
  libghc-hslogger-doc,
  libghc-hunit-doc,
- libghc-mtl-doc,
  libghc-network-doc,
  libghc-old-locale-doc,
  libghc-old-time-doc,
- libghc-parsec3-doc,
  libghc-random-doc,
  libghc-regex-compat-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://software.complete.org/missingh
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/missingh
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/missingh
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/missingh]
 
 Package: libghc-missingh-dev
 Architecture: any

## missingh 1.4.3.0

=== debian/changelog ===
missingh (1.4.3.0-2build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:58:31 +0000

missingh (1.4.3.0-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 14:26:57 +0200

missingh (1.4.3.0-2) unstable; urgency=medium

  * Patch in a Setup.hs.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 19:20:19 -0400

missingh (1.4.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 18:10:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: missingh
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
 Priority: optional
@@ -11,31 +12,38 @@
  ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-hslogger-dev,
+ libghc-hslogger-dev (>= 1.3.0.0),
+ libghc-hslogger-dev (<< 1.4),
  libghc-hslogger-prof,
- libghc-hunit-dev,
- libghc-hunit-prof,
- libghc-network-dev,
+ libghc-network-dev (>= 3.0),
+ libghc-network-dev (<< 3.2),
  libghc-network-prof,
- libghc-old-locale-dev,
+ libghc-network-bsd-dev (>= 2.8.1),
+ libghc-network-bsd-dev (<< 2.9),
+ libghc-network-bsd-prof,
+ libghc-old-locale-dev (>= 1.0),
+ libghc-old-locale-dev (<< 1.1),
  libghc-old-locale-prof,
- libghc-old-time-dev,
+ libghc-old-time-dev (>= 1.1),
+ libghc-old-time-dev (<< 1.2),
  libghc-old-time-prof,
- libghc-random-dev,
+ libghc-random-dev (>= 1.0.1.1),
+ libghc-random-dev (<< 1.2),
  libghc-random-prof,
- libghc-regex-compat-dev,
+ libghc-regex-compat-dev (>= 0.95.1),
+ libghc-regex-compat-dev (<< 0.96),
  libghc-regex-compat-prof,
-Build-Depends-Indep:
- ghc-doc,
+Build-Depends-Indep: ghc-doc,
  libghc-hslogger-doc,
  libghc-hunit-doc,
  libghc-network-doc,
+ libghc-network-bsd-doc,
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-random-doc,
  libghc-regex-compat-doc,
-Standards-Version: 4.1.4
-Homepage: http://software.complete.org/missingh
+Standards-Version: 4.5.0
+Homepage: https://hackage.haskell.org/package/MissingH
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/missingh
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/missingh]

## missingh 1.5.0.1

=== debian/changelog ===
missingh (1.5.0.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 03 Jul 2022 18:11:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: missingh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
 Priority: optional
@@ -27,9 +26,6 @@
  libghc-old-time-dev (>= 1.1),
  libghc-old-time-dev (<< 1.2),
  libghc-old-time-prof,
- libghc-random-dev (>= 1.0.1.1),
- libghc-random-dev (<< 1.2),
- libghc-random-prof,
  libghc-regex-compat-dev (>= 0.95.1),
  libghc-regex-compat-dev (<< 0.96),
  libghc-regex-compat-prof,
@@ -40,9 +36,8 @@
  libghc-network-bsd-doc,
  libghc-old-locale-doc,
  libghc-old-time-doc,
- libghc-random-doc,
  libghc-regex-compat-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://hackage.haskell.org/package/MissingH
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/missingh
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/missingh]

## missingh 1.6.0.1

=== debian/changelog ===
missingh (1.6.0.1-3) unstable; urgency=medium

  * Build using dh-haskell
  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Tue, 06 Jan 2026 23:47:49 -0500

missingh (1.6.0.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Sep 2024 10:40:08 +0300

missingh (1.6.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Oct 2023 09:54:39 +0300

missingh (1.6.0.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Sep 2023 14:27:06 +0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-hslogger-dev (>= 1.3.0.0),
@@ -37,7 +37,7 @@
  libghc-old-locale-doc,
  libghc-old-time-doc,
  libghc-regex-compat-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://hackage.haskell.org/package/MissingH
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/missingh
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/missingh]

## missingh 1.6.0.2

=== debian/changelog ===
missingh (1.6.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 07 Jan 2026 00:49:25 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libghc-hslogger-dev (<< 1.4),
  libghc-hslogger-prof,
  libghc-network-dev (>= 3.0),
- libghc-network-dev (<< 3.2),
+ libghc-network-dev (<< 3.3),
  libghc-network-prof,
  libghc-network-bsd-dev (>= 2.8.1),
  libghc-network-bsd-dev (<< 2.9),
